Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.async
Class Schedule

    java.lang.Object
      org.jboss.seam.async.Schedule

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CronSchedule, TimerSchedule

    public class Schedule

extends Object
implements Serializable

A "schedule" for a timed event executed by a timer service which supports delayed timed events. It is the base class for the more useful TimerSchedule, NthBusinessDay and CronSchedule classes.

Author:
  Michael Yuan
See Also:
  Serialized Form

Constructor Summary
`Schedule()`
`Schedule(Date expiration)`
`Schedule(Long duration)`
`Schedule(Long duration, Date expiration)`
`Schedule(Long duration, Date expiration, Date finalExpiration)`

Method Summary
`boolean` | `equals(Object obj)`
`Long` | `getDuration()`
`Date` | `getExpiration()`
`Date` | `getFinalExpiration()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Schedule

    public Schedule(Long duration,
                    Date expiration)

Parameters:
  `duration` - the delay before the event occurs
  `expiration` - the datetime at which the event occurs

### Schedule

    public Schedule(Long duration,
                    Date expiration,
                    Date finalExpiration)

Parameters:
  `duration` - the delay before the event occurs
  `expiration` - the datetime at which the event occurs
  `finalExpiration` - the datetime at which the event ends

### Schedule

    public Schedule(Long duration)

Parameters:
  `duration` - the delay before the event occurs

### Schedule

    public Schedule(Date expiration)

Parameters:
  `expiration` - the datetime at which the event occurs

### Schedule

    public Schedule()

Method Detail

### getDuration

    public Long getDuration()

### getExpiration

    public Date getExpiration()

### getFinalExpiration

    public Date getFinalExpiration()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.